Rates

The API endpoints below are recommended for those who want to sync large amount of data with their backend systems frequently. it enables you to download the current sell rates for a specific seller, connection for both voice and SMS in CSV format.

Prerequisites

The List Sellers Route Information API allows you to know the i_tariff and i_connection values for the seller / connection rates you want to download rates for.

Base URLhttps://apiv2.telecomsxchange.com
AuthenticationHTTP Digest

#Carrier Rate Download (CSV)

POSThttps://apiv2.telecomsxchange.com/sellers/rates/{i_tariff}

This API allows you to download the current sell rates for a specific seller in CSV format. This API is ideal to retreive and sync full rate decks into your billing systems.

Prerequisites

You will need to know the i_tariff and i_connection values for the seller / connection rates you want to download rates for, it may be found through Market View API and Sellers List API.

Path parameters

i_tariffintegerrequired

Tariff ID of the seller connection to download. Find it with Market View or List Sellers Route Information.

Example 1065

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/sellers/rates/1065"
Rate deck13 rows shown · CSV
DestinationPrefixPer minASRACDEffective
UNITED STATES OF AMERICA Fixed - ROC1$0.00780.0%0s2019-07-09
CANADA Fixed - Manitoba1204$0.02370.0%0s2019-05-05
CANADA Fixed - Yukon Territories1204131$0.02370.0%0s2019-05-05
CANADA Fixed - Ontario1226$0.02370.0%0s2019-05-05
CANADA Fixed - Yukon Territories1226131$0.02370.0%0s2019-05-05
CANADA Fixed - Alberta1236$0.02370.0%0s2019-05-05
BAHAMAS Fixed - ROC1242$0.02370.0%0s2019-05-05
BAHAMAS Mobile - BaTelCo1242357$0.02460.0%0s2019-07-09
BAHAMAS Mobile - BaTelCo1242359$0.02460.0%0s2019-07-09
BAHAMAS Mobile - BaTelCo1242375$0.02460.0%0s2019-07-09
BAHAMAS Mobile - BaTelCo1242376$0.02460.0%0s2019-07-09
BAHAMAS Mobile - BaTelCo1242395$0.02460.0%0s2019-07-09
BAHAMAS Mobile - BaTelCo124242$0.02460.0%0s2019-07-09

The full download contains the complete rate deck for the seller, ready to import into a billing system.

Rendered from the example response.

#List Sellers Route Information

POSThttps://apiv2.telecomsxchange.com/sellers/list

“pager” and “off” (should be set or unset both) allow to limit and paginate results. “pager” is a limit of the numbers to be returned, “off” is offset.

Body parameters

application/x-www-form-urlencoded
pagerintegerrequired

integer

Example 10000

offintegerrequired

integer

Example 0

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/sellers/list" \
  -d "pager=10000" \
  -d "off=0"
Sellers and routes3 results
Selleri_tariffi_connectionVisibility
JOJOODUAE129128public
JOJOODOrange130129public
JOJOODMy Route 1e134133public
Rendered from the example response.